package com.manage.entity;

import java.util.List;

public class Power_Notice {
    private Integer noticeId;

    private Integer sysId;

    private String noticeTypeFlag;

    private String noticeTypeName;

    private String noticeTitle;

    private String noticeContent;

    private String noticeSend;

    private String noticeDate;

    private String noticeReceive;

    private Integer effective;

    private Integer readFlag;

    private Integer parentId;

    private String remark;

    private List<Power_Notice> children;

    public List<Power_Notice> getChildren() {
        return children;
    }

    public void setChildren(List<Power_Notice> children) {
        this.children = children;
    }

    public Integer getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Integer noticeId) {
        this.noticeId = noticeId;
    }

    public Integer getSysId() {
        return sysId;
    }

    public void setSysId(Integer sysId) {
        this.sysId = sysId;
    }

    public String getNoticeTypeFlag() {
        return noticeTypeFlag;
    }

    public void setNoticeTypeFlag(String noticeTypeFlag) {
        this.noticeTypeFlag = noticeTypeFlag == null ? null : noticeTypeFlag.trim();
    }

    public String getNoticeTypeName() {
        return noticeTypeName;
    }

    public void setNoticeTypeName(String noticeTypeName) {
        this.noticeTypeName = noticeTypeName == null ? null : noticeTypeName.trim();
    }

    public String getNoticeTitle() {
        return noticeTitle;
    }

    public void setNoticeTitle(String noticeTitle) {
        this.noticeTitle = noticeTitle == null ? null : noticeTitle.trim();
    }

    public String getNoticeContent() {
        return noticeContent;
    }

    public void setNoticeContent(String noticeContent) {
        this.noticeContent = noticeContent == null ? null : noticeContent.trim();
    }

    public String getNoticeSend() {
        return noticeSend;
    }

    public void setNoticeSend(String noticeSend) {
        this.noticeSend = noticeSend == null ? null : noticeSend.trim();
    }

    public String getNoticeDate() {
        return noticeDate;
    }

    public void setNoticeDate(String noticeDate) {
        this.noticeDate = noticeDate == null ? null : noticeDate.trim();
    }

    public String getNoticeReceive() {
        return noticeReceive;
    }

    public void setNoticeReceive(String noticeReceive) {
        this.noticeReceive = noticeReceive == null ? null : noticeReceive.trim();
    }

    public Integer getEffective() {
        return effective;
    }

    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    public Integer getReadFlag() {
        return readFlag;
    }

    public void setReadFlag(Integer readFlag) {
        this.readFlag = readFlag;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}